Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.apache.xml.serialize
Class SieveEncodingInfo

    java.lang.Object
      weblogic.apache.xml.serialize.EncodingInfo
          weblogic.apache.xml.serialize.SieveEncodingInfo

Deprecated. 9.2.0.0 Replaced by org.apache.xml.serialize.SieveEncodingInfo.

    public class SieveEncodingInfo

extends EncodingInfo

This class represents an encoding.

Constructor Summary
`SieveEncodingInfo(String mimeName, int lastPrintable)` Deprecated. Creates new `SeiveEncodingInfo` instance.
`SieveEncodingInfo(String mimeName, String javaName, int lastPrintable, String dangers)` Deprecated. Creates new `SeiveEncodingInfo` instance.

Method Summary
`boolean` | `isPrintable(int ch)` Deprecated. Checks whether the specified character is printable or not.

Methods inherited from class weblogic.apache.xml.serialize.EncodingInfo
`getName, getWriter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SieveEncodingInfo

    public SieveEncodingInfo(String mimeName,
                             String javaName,
                             int lastPrintable,
                             String dangers)

  Deprecated.
  Creates new `SeiveEncodingInfo` instance.

  Parameters:
    `dangers` - A sorted characters that are always printed as character references.

### SieveEncodingInfo

    public SieveEncodingInfo(String mimeName,
                             int lastPrintable)

  Deprecated.
  Creates new `SeiveEncodingInfo` instance.

Method Detail

### isPrintable

    public boolean isPrintable(int ch)

  Deprecated.
  Checks whether the specified character is printable or not.

  Overrides:
    `isPrintable` in class `EncodingInfo`
  Parameters:
    `ch` - a code point (0-0x10ffff)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD